Bug 218609 - RHEL 4 -> 5 beta 2 upgrade - network devices keep flipping order on reboots
RHEL 4 -> 5 beta 2 upgrade - network devices keep flipping order on reboots
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 08:59 EST by Clifford Perry
Modified: 2014-03-16 23:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-05 22:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
network config files (2.74 KB, text/plain)
2006-12-18 12:58 EST, Clifford Perry
no flags Details

  None (edit)
Description Clifford Perry 2006-12-06 08:59:44 EST
Description of problem:
I am reporting a possible customer impacting bug which is minor, and should be
easy to fix for the end user, but something that I never experianced on my IBM
T41 laptop while running RHEL 4. 

It seems that every time I reboot the laptop, the network devices switch order,
so wireless is either eth0 or eth1, depending on, err.. maybe solar flares? :) 

I am not sure why it seems to flip so much, since I have not changed the kernel,
or anything within the bootup or kernel once upgraded. 

I expect that I can easily fix this by editing the
/etc/sysconfig/network-scripts/ifcfg* files to add the MAC address and set the
order (have yet to try). 

[root@cperry ~]# grep -i eth[01] /var/log/messages| grep -i kernel| grep e100
Dec  4 20:01:40 cperry kernel: e1000: eth1: e1000_probe: Intel(R) PRO/1000
Network Connection
Dec  5 19:37:51 cperry kernel: e1000: eth0: e1000_probe: Intel(R) PRO/1000
Network Connection
Dec  6 07:10:40 cperry kernel: e1000: eth1: e1000_probe: Intel(R) PRO/1000
Network Connection
[root@cperry ~]# grep -i eth[01] /var/log/messages| grep -i kernel| grep airo|
grep MAC
Dec  4 20:01:40 cperry kernel: airo(eth0): MAC enabled 0:e:9b:44:0:29
Dec  5 19:37:51 cperry kernel: airo(eth1): MAC enabled 0:e:9b:44:0:29
Dec  6 07:10:40 cperry kernel: airo(eth0): MAC enabled 0:e:9b:44:0:29
[root@cperry ~]# uname -a
Linux cperry.laptop 2.6.18-1.2747.el5 #1 SMP Thu Nov 9 18:55:30 EST 2006 i686
i686 i386 GNU/Linux
[root@cperry ~]#

let me know if you want/need anything else. 

Cliff. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 John W. Linville 2006-12-12 09:23:30 EST
Does adding "HWADDR=" lines to ifcfg-ethX resolve this issue for you?
Comment 4 Clifford Perry 2006-12-15 13:48:27 EST
> Does adding "HWADDR=" lines to ifcfg-ethX resolve this issue for you?

I did this change last night, rebooted 6 times, and no. This did not fix issue
for myself. The ordering changed several times. 

I created, as per another email the following file and contents:

$ cat /etc/iftab 
eth0 00:0E:9B:44:00:29
eth1 00:0D:60:FB:90:13
$

The next time I have some down time I will reboot several times to test this out.

Cliff. 
Comment 5 John W. Linville 2006-12-18 08:07:36 EST
If HWADDR isn't fixing the naming, then maybe something is busted w/ the 
initscripts?
Comment 6 Bill Nottingham 2006-12-18 12:08:41 EST
Please attach your ifcfg files. Note that iftab is *not* the right solution.
Comment 8 Clifford Perry 2006-12-18 12:58:58 EST
Created attachment 143918 [details]
network config files
Comment 9 Bill Nottingham 2006-12-18 13:32:21 EST
What version of kudzu and initscripts do you have installed? Do you have any
other ifcfg files?
Comment 10 Clifford Perry 2006-12-18 13:49:25 EST
[root@cperry ~]# rpm -q kudzu initscripts
kudzu-1.2.57.1.7-1
initscripts-8.45.4.EL-1
[root@cperry ~]# more /etc/sysconfig/network-scripts/ifcfg-*
::::::::::::::
/etc/sysconfig/network-scripts/ifcfg-eth0
::::::::::::::
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:0E:9B:44:00:29
ONBOOT=no
TYPE=Ethernet
PEERDNS=yes
USERCTL=yes
::::::::::::::
/etc/sysconfig/network-scripts/ifcfg-eth1
::::::::::::::
DEVICE=eth1
BOOTPROTO=dhcp
HWADDR=00:0D:60:FB:90:13
ONBOOT=no
TYPE=Ethernet
PEERDNS=yes
USERCTL=yes
::::::::::::::
/etc/sysconfig/network-scripts/ifcfg-lo
::::::::::::::
DEVICE=lo
IPADDR=127.0.0.1
NETMASK=255.0.0.0
NETWORK=127.0.0.0
# If you're having problems with gated making 127.0.0.0/8 a martian,
# you can change this to something else (255.255.255.255, for example)
BROADCAST=127.255.255.255
ONBOOT=yes
NAME=loopback
::::::::::::::
/etc/sysconfig/network-scripts/ifcfg-ppp0
::::::::::::::
DEVICE=ppp0
NAME=MINDSPRING
WVDIALSECT=MINDSPRING
MODEMPORT=/dev/modem
LINESPEED=57600
PAPNAME=
USERCTL=true
ONBOOT=no
PERSIST=no
::::::::::::::
/etc/sysconfig/network-scripts/ifcfg-wifi0
::::::::::::::
DEVICE=wifi0
HWADDR=00:0E:9B:44:00:29
ONBOOT=no
TYPE=Ethernet
[root@cperry ~]# 
Comment 11 Bill Nottingham 2006-12-18 13:58:25 EST
Please upgade to the latest kudzu and initscripts (1.27.1.13-1 and 8.45.12.EL-1,
respectively)
Comment 13 John W. Linville 2006-12-19 10:28:58 EST
Cliff, did you determine what firmware you have for your airo?  Upgrading can 
be a pain (OtherOS required), but the 5.60.17 firmware works nicely on my T41.
Comment 14 Bill Nottingham 2006-12-19 11:44:13 EST
Taking the HWADDR out of the wifi0 ifcfg file also couldn't hurt.
Comment 16 Clifford Perry 2006-12-19 11:55:33 EST
Newest versions did not help. Yanking HWADDR from ifcfg-wifi0. 

FYI - firmware is old - 5.00.03 - have no alternative OS's on this system to
boot into. 

Will see what next set of tests give. 

Cliff. 
Comment 17 Clifford Perry 2006-12-19 12:20:43 EST
still getting issue. Will need to allocate some time to do suggested firmware
upgrade (which could be a good thing to do anyway). 

Feel free to flip to Needinfo on me if you wish. 

Cliff. 

Note You need to log in before you can comment on or make changes to this bug.